Subject: Re: [PCN] PCN updated charter

From: Lars Westberg <[email-masked]>
Date: Fri, 01 Dec 2006 08:40:46 +0100

it is a decsion to take-out the application deployment model already?

I would recommend that we include this model a part of the first phase 
of the working group.
I am very interest to contribute from this scenario perspective.

regards Lasse

Kwok-Ho Chan wrote:

> Anna:
> Thank you for the agreements.
> I agree with your agreements, hence the only response I have is
> at the bottom of the E-Mail with <Kwok_Start> and <Kwok_End>.
>
> Bottom line at the Top:
> Keeping the Application/SIP Deployment Model document in the
> first phase PCN Charter is beneficial to the WG.
> Having it in the first phase PCN Charter will help rather then hurt 
> the WG.
> And there are accountable resource in the WG to get the work done.
>
> -- Kwok --
>
> At 01:20 PM 11/30/2006, Anna Charny \(acharny\) wrote:
> >Hi Kwok,
> >
> > >>Anna begin>
> > >>
> > >>PWE3-related deployment model has already been taken out of the
> >updated
> > >>charter, based on the BOF input.
> > >>
> > >>As to SIP-related one  -  there is one aspect of it that actually
> > >>potentially affects the marking at the ingress node, namely the
> > >>aggregation assumptions, and especially aggregation level on a
> > >>per-ingress-egress aggregate.  This specific model is likely to assume
> >
> > >>both lower levels of aggregation on the PCN internal links, but
> > >>especially on a per-ingress-egress pair basis. From the work available
> >
> > >>by now it seems relatively clear that if the core marking is to
> > >>accommodate this,  the decision on *when* to mark packes may be
> > >>affected, and that additional flexibility in the marking at the
> > >>internal
> > >>node may be potentially needed.   So in the very least this needs to
> >be
> > >>"kept in mind" even if the SIP (or application-related) deployment is
> > >>taken out of the charter.
> >
> > ><Kwok_Start>
> > >Anna, I disagree with you on your points of:
> > >>"This specific model is likely to assume both lower levels of
> > >>aggregation on the PCN internal links, but especially on a
> >per-ingress-
> > >>egress pair basis."
> >
> > >There are no strict requirements that Application (SIP) based usage of
> > >PCN must use lower levels of aggregation on the PCN internal links.
> > >Nor requirements that Application (SIP) based usage must use lower
> > >levels of aggregation on a per-ingress-egress pair basis.
> > >I believe we should try to push the envelop of applicability as much as
> > >we can.
> >
> >I fully agree that we should push the envelop of applicability as much
> >as we can. With respect to the aggregation level discussion it means
> >that we might want to look into how low hese levels of aggregation could
> >be.  I merely stated that for a SIP-based model one might expect a lower
> >degree of aggregation than that of an Intserv-over-diffserv model. I
> >think we are in agrrement that it would be beneficial if the WG looked
> >into the issue of how low the level of aggregation can be, and how it
> >affects the marking (if at all).
> >
> > >We've indicated in our earlier work (for example, showing you our
> > >simulation work so we can cover different aspects of the problem space
> > > the usage of lower levels of aggregation (at different parts of the
> >PCN >region) because there are deployment scenarios (with interested
> >users)
> > >that will benefit from such work.
> >
> >Yes. That is right.  I do not think there is any disgreement on that.
> >
> > >Further more, as you know, there are encouraging simulation results on
> > >lower levels of aggregation on a per-ingress-egress pair basis.
> > >The degree of "how low" will be details that can be indicated in the
> > >work of the PCN (to-be)WG.
> >
> >Yes. I agree with that.  In my opinion, perhaps the most important
> >aspect of the Sip/application based deployment model is the possible
> >limits of aggregation appropriate for that deployment model.  What I was
> >trying to say is that IF the decision is made to move the SIP-deployment
> >model to a later phase, the exploration of the limits of aggregation
> >appropriate for that deplyment model may nevertheless need to stay in
> >scope of the early work of the WG, as it may affect the router behavior
> >that needs to be standardized.
> >
> > >On you point of "
> > >>"From the work available by now it seems relatively clear that if the
> > >>core marking is to accommodate this,  the decision on *when* to mark
> > >>packets may be affected, and that additional flexibility in the
> >marking
> > >>at the internal node may be potentially needed.   So in the very least
> >
> > >>this needs to be "kept in mind" even if the SIP (or application-
> > >>related) deployment is taken out of the charter."
> >
> > >IMHO, it should NOT be the goal of the WG to change the Standards Track
> > >work (the internal mode when to mark packets, marking syntax, the
> > >marking semantics) between the different (re-chartering) phases of
> > >the(to-be) WG.
> >
> >I do agree with that. I do not think I was agruing for changing the
> >router marking semantics between recharterings at all. In fact I was
> >arguing for exactly the opposite.  I was saying that a possible
> >difference in the aggregation level between different deployment models
> >*may* have impact on the marking semantics and potentially edge behavior
> >(my understanding is that the jury is out on this yet, although there
> >are good indications that both models may in fact use the same
> >semantics).
> >Therefore this aspect (potential impact of appropriate level of
> >aggregation on the marking semantics) needs to be looked at early on, if
> >SIP/Application deployment  model is to be considered at any phase on
> >the work (now or later)at all. I was in fact arguing that it needs to be
> >looked at before rechartering.
> >
> >But as to other aspects of the SIP/Application model (beyond the
> >aggregation level and its impact on the marking semantics and edge
> >behavior), I do not personally see a reason why they can not wait till
> >after rechartering.
>
> <Kwok_Start>
> The SIP/Application Deployment Model document will put the applicability
> of this work in place.  It is always good to do this explicitly
> rather then implicitly.
> This will provide clarity and openness to the work done by the WG.
>
> The content for SIP/Application Deployment Model document is not really
> new work for the people writing it.
> The SIP/Application Deployment Model document will help the WG to 
> understand
> one possible environment of how PCN can be used.
> Further more the SIP/Application Deployment Model document is there so
> the simulation results (for the work we agreed to above) can be 
> understood.
>
> And there are already people doing this work that is beneficial to the WG.
>
> And we should have more than one Deployment Model for PCN.  This will
> strengthen
> the Standards Track part of the work we are doing.
>
> Hence I propose to keep the SIP/Application Deployment Model document 
> as part
> of the first phase Charter of PCN.
> <Kwok_End>
>
>
> >Anna
>
>
> _______________________________________________
> PCN mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/pcn
>
_______________________________________________
PCN mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pcn

---

From: "Geib, Ruediger" <[email-masked]>
Date: Fri, 1 Dec 2006 08:46:37 +0100

Hi Anna,

thanks for emphasising the different aggregation levels 
and the proposal to think about different marking 
mechanisms in each. That seems to me to be a point 
which may be more important than the question, by 
which protocol one signals for service.

Regards,

Rudiger

(no more comments)

|-----Original Message-----
|From: Anna Charny (acharny) [mailto:[email-masked]]
|Sent: Thursday, November 30, 2006 7:21 PM
|To: Kwok-Ho Chan
|Cc: Lars Eggert; [email-masked]
|Subject: RE: [PCN] PCN updated charter
|
|
|Hi Kwok,
| 
|>>Anna begin>
|>>
|>>PWE3-related deployment model has already been taken out of the
|updated 
|>>charter, based on the BOF input.
|>>
|>>As to SIP-related one  -  there is one aspect of it that actually 
|>>potentially affects the marking at the ingress node, namely the 
|>>aggregation assumptions, and especially aggregation level on a 
|>>per-ingress-egress aggregate.  This specific model is likely 
|to assume
|
|>>both lower levels of aggregation on the PCN internal links, but 
|>>especially on a per-ingress-egress pair basis. From the work 
|available
|
|>>by now it seems relatively clear that if the core marking is to 
|>>accommodate this,  the decision on *when* to mark packes may be 
|>>affected, and that additional flexibility in the marking at the 
|>>internal
|>>node may be potentially needed.   So in the very least this needs to
|be
|>>"kept in mind" even if the SIP (or application-related) 
|deployment is 
|>>taken out of the charter.
|
|><Kwok_Start>
|>Anna, I disagree with you on your points of:
|>>"This specific model is likely to assume both lower levels of 
|>>aggregation on the PCN internal links, but especially on a
|per-ingress-
|>>egress pair basis."
|
|>There are no strict requirements that Application (SIP) based 
|usage of 
|>PCN must use lower levels of aggregation on the PCN internal links.
|>Nor requirements that Application (SIP) based usage must use lower 
|>levels of aggregation on a per-ingress-egress pair basis.
|>I believe we should try to push the envelop of applicability 
|as much as
|>we can.
|
|I fully agree that we should push the envelop of applicability as much
|as we can. With respect to the aggregation level discussion it means
|that we might want to look into how low hese levels of 
|aggregation could
|be.  I merely stated that for a SIP-based model one might 
|expect a lower
|degree of aggregation than that of an Intserv-over-diffserv model. I
|think we are in agrrement that it would be beneficial if the WG looked
|into the issue of how low the level of aggregation can be, and how it
|affects the marking (if at all).
|
|>We've indicated in our earlier work (for example, showing you our 
|>simulation work so we can cover different aspects of the problem space
|> the usage of lower levels of aggregation (at different parts of the
|PCN >region) because there are deployment scenarios (with interested
|users)
|>that will benefit from such work.
|
|Yes. That is right.  I do not think there is any disgreement on that.
|
|>Further more, as you know, there are encouraging simulation 
|results on 
|>lower levels of aggregation on a per-ingress-egress pair basis.
|>The degree of "how low" will be details that can be indicated in the
|>work of the PCN (to-be)WG.
|
|Yes. I agree with that.  In my opinion, perhaps the most important
|aspect of the Sip/application based deployment model is the possible
|limits of aggregation appropriate for that deployment model.  
|What I was
|trying to say is that IF the decision is made to move the 
|SIP-deployment
|model to a later phase, the exploration of the limits of aggregation
|appropriate for that deplyment model may nevertheless need to stay in
|scope of the early work of the WG, as it may affect the router behavior
|that needs to be standardized.
|
|>On you point of "
|>>"From the work available by now it seems relatively clear that if the
|>>core marking is to accommodate this,  the decision on *when* to mark
|>>packets may be affected, and that additional flexibility in the
|marking
|>>at the internal node may be potentially needed.   So in the 
|very least
|
|>>this needs to be "kept in mind" even if the SIP (or application-
|>>related) deployment is taken out of the charter."
|
|>IMHO, it should NOT be the goal of the WG to change the 
|Standards Track
|>work (the internal mode when to mark packets, marking syntax, the 
|>marking semantics) between the different (re-chartering) phases of 
|>the(to-be) WG. 
|
|I do agree with that. I do not think I was agruing for changing the
|router marking semantics between recharterings at all. In fact I was
|arguing for exactly the opposite.  I was saying that a possible
|difference in the aggregation level between different deployment models
|*may* have impact on the marking semantics and potentially 
|edge behavior
|(my understanding is that the jury is out on this yet, although there
|are good indications that both models may in fact use the same
|semantics).  
|Therefore this aspect (potential impact of appropriate level of
|aggregation on the marking semantics) needs to be looked at 
|early on, if
|SIP/Application deployment  model is to be considered at any phase on
|the work (now or later)at all. I was in fact arguing that it 
|needs to be
|looked at before rechartering.
|
|But as to other aspects of the SIP/Application model (beyond the
|aggregation level and its impact on the marking semantics and edge
|behavior), I do not personally see a reason why they can not wait till
|after rechartering.  
|
|Anna
|
|_______________________________________________
|PCN mailing list
[email-masked]
|https://www1.ietf.org/mailman/listinfo/pcn
|

---

From: "Georgios Karagiannis" <[email-masked]>
Date: Fri, 1 Dec 2006 11:40:22 +0100

Hi Anna

I agree with Kwok on the following:
> Having it in the first phase PCN Charter will help rather 
> then hurt the WG.

Best regards,
Georgios

> -----Original Message-----
> From: Kwok-Ho Chan [mailto:[email-masked]] 
> Sent: donderdag 30 november 2006 21:58
> To: Anna Charny (acharny)
> Cc: Lars Eggert; [email-masked]
> Subject: RE: [PCN] PCN updated charter
> 
> Anna:
> I agree with your agreements, hence the only response I have 
> is at the bottom of the E-Mail with <Kwok_Start> and <Kwok_End>.
> 
> Bottom line at the Top:
> Having it in the first phase PCN Charter will help rather 
> then hurt the WG.
> > >>"kept in mind" even if the SIP (or application-related) 
> deployment 
> > >>is taken out of the charter.
> >
> > ><Kwok_Start>
> > >There are no strict requirements that Application (SIP) 
> based usage 
> > >of PCN must use lower levels of aggregation on the PCN 
> internal links.
> > >I believe we should try to push the envelop of 
> applicability as much 
> > >as we can.
> >
> >that we might want to look into how low hese levels of aggregation 
> >could be.  I merely stated that for a SIP-based model one 
> might expect 
> >a lower degree of aggregation than that of an Intserv-over-diffserv 
> >model. I think we are in agrrement that it would be 
> beneficial if the 
> >WG looked into the issue of how low the level of aggregation can be, 
> >and how it affects the marking (if at all).
> >
> > >simulation work so we can cover different aspects of the problem 
> > >space  the usage of lower levels of aggregation (at 
> different parts 
> > >of the
> > >Further more, as you know, there are encouraging 
> simulation results 
> > >on lower levels of aggregation on a per-ingress-egress pair basis.
> >limits of aggregation appropriate for that deployment model.  What I 
> >was trying to say is that IF the decision is made to move the 
> >SIP-deployment model to a later phase, the exploration of 
> the limits of 
> >aggregation appropriate for that deplyment model may 
> nevertheless need 
> >to stay in scope of the early work of the WG, as it may affect the 
> >router behavior that needs to be standardized.
> >
> > >On you point of "
> > >>"From the work available by now it seems relatively clear that if 
> > >>the core marking is to accommodate this,  the decision on 
> *when* to 
> > >>mark packets may be affected, and that additional 
> flexibility in the
> >marking
> > >IMHO, it should NOT be the goal of the WG to change the Standards 
> > >Track work (the internal mode when to mark packets, 
> marking syntax, 
> > >the marking semantics) between the different 
> (re-chartering) phases 
> > >of
> > >the(to-be) WG.
> >
> >*may* have impact on the marking semantics and potentially edge 
> >behavior (my understanding is that the jury is out on this yet, 
> >although there are good indications that both models may in fact use 
> >the same semantics).
> >aggregation on the marking semantics) needs to be looked at 
> early on, 
> >if SIP/Application deployment  model is to be considered at 
> any phase 
> >on the work (now or later)at all. I was in fact arguing that 
> it needs 
> >to be looked at before rechartering.
> >
> The SIP/Application Deployment Model document will put the 
> applicability of this work in place.  It is always good to do 
> this explicitly rather then implicitly.
> The content for SIP/Application Deployment Model document is 
> not really new work for the people writing it.
> The SIP/Application Deployment Model document will help the 
> WG to understand one possible environment of how PCN can be used.
> Further more the SIP/Application Deployment Model document is 
> there so the simulation results (for the work we agreed to 
> above) can be understood.
> 
> And we should have more than one Deployment Model for PCN.  
> This will strengthen the Standards Track part of the work we 
> are doing.
> 
> Hence I propose to keep the SIP/Application Deployment Model 
> document as part of the first phase Charter of PCN.
> <Kwok_End>
> 
> 
> >Anna
> 
>